import { createApp } from 'vue/dist/vue.esm-bundler.js'
import { createClient } from 'villus'
import { createRouter, createWebHistory } from 'vue-router'
import './style.css'
import App from './App.vue'
import Home from './views/Home.vue'
import About from './views/About.vue'

const NotFound = { template: '<div>Sorry, page not found (404)</div>' }

const routes = [
	{ path: '/', name: 'Home', component: Home },
	{ path: '/about', name: 'About', component: About },
	{ path: '/:pathMatch(.*)*', name: 'NotFound', component: NotFound }
]

const router = createRouter({
	history: createWebHistory(),
	routes
})

const villusClient = createClient({
	url: '/api'
})

createApp(App).use(router).use(villusClient).mount('#app')
